#
# spec file for package container-build-checks
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           container-build-checks
Version:        1723452932.412e7f6
Release:        1.2
Summary:        Scripts to validate built container images
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/container-build-checks
Source0:        %{name}-%{version}.tar.xz
Source1:        openSUSE.conf
Source2:        SUSE.conf
Requires:       %{name}-vendor
BuildArch:      noarch

%package vendor-openSUSE
Summary:        openSUSE configuration for %{name}
Group:          Development/Tools/Building
Requires:       %{name} = %{version}
Provides:       %{name}-vendor
Conflicts:      %{name}-vendor

%description vendor-openSUSE
openSUSE configuration for %{name}

%package vendor-SUSE
Summary:        SUSE configuration for %{name}
Group:          Development/Tools/Building
Requires:       %{name} = %{version}
Provides:       %{name}-vendor
Conflicts:      %{name}-vendor

%description vendor-SUSE
SUSE configuration for %{name}

%package strict
Summary:        Strict configuration for %{name}
Group:          Development/Tools/Building

%description strict
Strict configuration for %{name}

%description
This tool checks that built container images conform to the openSUSE container
image policies (https://en.opensuse.org/Building_derived_containers).

%prep
%autosetup -p1

%build
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/container-build-checks/
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/container-build-checks/openSUSE.conf
install -m0644 %{SOURCE2} %{buildroot}%{_datadir}/container-build-checks/SUSE.conf
echo -e "[General]\nFatalWarnings=true" > %{buildroot}%{_datadir}/container-build-checks/strict.conf

%files
#%doc README
%license LICENSE
%dir %{_datadir}/container-build-checks
%dir %{_prefix}/lib/build/
%dir %{_prefix}/lib/build/post-build-checks/
%{_prefix}/lib/build/post-build-checks/container-build-checks

%files vendor-openSUSE
%{_datadir}/container-build-checks/openSUSE.conf

%files vendor-SUSE
%{_datadir}/container-build-checks/SUSE.conf

%files strict
%{_datadir}/container-build-checks/strict.conf

%changelog
* Mon Aug 12 2024 Fabian Vogt <fvogt@suse.com>
- Update to version 1723452932.412e7f6:
  * add test for missing substitutions
  * Reject labels that are missing a substitution
* Mon Jul 22 2024 Dirk Müller <dmueller@suse.com>
- update SUSE.conf: allow dp.rancher.apps.io
* Mon Jul 22 2024 Fabian Vogt <fvogt@suse.com>
- Switch _service to mode="manual"
- Update to version 1721653643.19092fe:
  * Use generic name for the python setup step
  * Allow specifying more than one registry
  * Use Pathlib for resolving containerinfo
  * Switch to test Python 3.11
* Fri Apr 28 2023 Fabian Vogt <fvogt@suse.com>
- Update to version 1682595397.5ce6d2f:
  * Handle OCI style images as well
  * Makefile: Add missing dependency of broken-derived on proper-base
  * GitHub workflow: Update action versions
  * GitHub workflow: Test python 3.6 and 3.10
* Mon Aug  8 2022 Fabian Vogt <fvogt@suse.com>
- Make the URL point to GitHub
* Thu Jul  7 2022 Fabian Vogt <fvogt@suse.com>
- openSUSE.conf: Allow bci/* as prefix
* Wed Apr 20 2022 Fabian Vogt <fvogt@suse.com>
- Update to version 1650464301.a198cf9:
  * Detect and treat local builds specially
* Mon Mar  7 2022 Silvio Moioli <moio@suse.com>
- Adding Uyuni prefix for https://www.uyuni-project.org/
* Thu Feb  3 2022 fvogt@suse.com
- Update to version 1643874076.3d0e13c:
  * Avoid crash on local builds
* Tue Dec 14 2021 fvogt@suse.com
- Update to version 1639489705.a4c5a3ab2a75:
  * Don't error out when the release field is empty
  * Add simple gitpod configuration
* Tue Jun  1 2021 Fabian Vogt <fvogt@suse.com>
- Drop obsolete Requires: grep jq
* Fri May 28 2021 Fabian Vogt <fvogt@suse.com>
- Update to version 1622209785.4616f4f:
  * README.md: Point badge to new location
* Fri May 28 2021 Fabian Vogt <fvogt@suse.com>
- Update to version 1622204213.c8ecb9f:
  * Add options to allow and block specific tags
* Thu May 27 2021 Fabian Vogt <fvogt@suse.com>
- Update to version 1622127842.b548dd8:
  * Update README.md
  * Add README.md
  * Add broken-derived test
  * Verify prefix of the image specific label prefix
  * Add some comments in the Makefile
  * Always check the tag used in org.opensuse.reference
  * Add github workflow
  * Use bash explicitly
  * Make lint
  * Less noise in Makefile
* Fri Apr 30 2021 Fabian Vogt <fvogt@suse.com>
- Initial commit
